
/** @class_declaration ivaIncluido */
//////////////////////////////////////////////////////////////////
//// IVAINCLUIDO /////////////////////////////////////////////////
class ivaIncluido extends oficial {
    function ivaIncluido( context ) { oficial( context ); }
	function datosLineaReparacion(curLineaReparacion:FLSqlCursor,curLineaAlbaran:FLSqlCursor,idAlbaran:Number):Boolean {
		return this.ctx.ivaIncluido_datosLineaReparacion(curLineaReparacion,curLineaAlbaran,idAlbaran);
	}
}
//// IVAINCLUIDO /////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////

/** @class_definition ivaIncluido */
//////////////////////////////////////////////////////////////////
//// IVAINCLUIDO /////////////////////////////////////////////////
/** \D Copia los datos de una lnea de reparacin en una lnea de albarn
@param	curLineaReparacion: Cursor que contiene los datos a incluir en la lnea de albarn
@return	True si la copia se realiza correctamente, false en caso contrario
\end */
function ivaIncluido_datosLineaReparacion(curLineaReparacion:FLSqlCursor,curLineaAlbaran:FLSqlCursor,idAlbaran:Number):Boolean
{
  if (!this.iface.__datosLineaReparacion(curLineaReparacion,curLineaAlbaran,idAlbaran)) {
      return false;
  }
  
  with(curLineaAlbaran) {
      setValueBuffer("ivaincluido", curLineaReparacion.valueBuffer("ivaincluido"));
      setValueBuffer("pvpunitarioiva", curLineaReparacion.valueBuffer("pvpunitarioiva"));
  }
  
  return true;
}
//// IVAINCLUIDO /////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////